# TODO:
# - tensorflow support
#
# Conditional build:
%bcond_without	openmp	# OpenMP support
%bcond_with	opencl	# OpenCL support

Summary:	Tesseract Open Source OCR Engine
Summary(pl.UTF-8):	Tesseract - silnik OCR o otwartych źródłach
Name:		tesseract
Version:	5.3.4
Release:	1
License:	Apache v2.0
Group:		Applications/Graphics
#Source0Download: https://github.com/tesseract-ocr/tesseract/releases
Source0:	https://github.com/tesseract-ocr/tesseract/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	53de961804ccbcb83b73122f721d8f83
URL:		https://github.com/tesseract-ocr/
%{?with_opencl:BuildRequires:	OpenCL-devel}
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	curl-devel
BuildRequires:	leptonlib-devel >= 1.74
BuildRequires:	libarchive-devel
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libicu-devel >= 52.1
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libxslt-progs
BuildRequires:	pango-devel >= 1:1.38.0
Requires:	leptonlib >= 1.74
Suggests:	tesseract-data >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A commercial quality OCR engine originally developed at HP between
1985 and 1995. In 1995, this engine was among the top 3 evaluated by
UNLV. It was open-sourced by HP and UNLV in 2005.

%description -l pl.UTF-8
Silnik OCR o komercyjnej jakości oryginalnie stworzony przez HP w
latach 1985-1995. W 1995 roku był jednym z 3 najlepszych wg UNLV.
Źródła zostały uwolnione przez HP i UNLV w 2005 roku.

%package training
Summary:	Tesseract training tools
Summary(pl.UTF-8):	Narzędzia treningowe Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	pango >= 1:1.38.0

%description training
This package contains the Tesseract training tools.

%description training -l pl.UTF-8
Ten pakiet zawiera programy do trenowania Tesseracta.

%package devel
Summary:	Header files for Tesseract libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Tesseracta
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	leptonlib-devel >= 1.74
Requires:	libarchive-devel
Requires:	libstdc++-devel >= 6:7

%description devel
This package contains the development header files necessary to
develop applications using Tesseract API.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
wykorzystujących API Tesseracta.

%package static
Summary:	Static Tesseract libraries
Summary(pl.UTF-8):	Statyczne biblioteki Tesseracta
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Tesseract libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Tesseracta.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_opencl:--enable-opencl} \
	%{!?with_openmp:--disable-openmp} \
	--disable-silent-rules
%{__make}
%{__make} training

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/tessdata/script

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} training-install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtesseract.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md
%attr(755,root,root) %{_bindir}/tesseract
%attr(755,root,root) %{_libdir}/libtesseract.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtesseract.so.5
%dir %{_datadir}/tessdata
%{_datadir}/tessdata/configs
%dir %{_datadir}/tessdata/script
%{_datadir}/tessdata/tessconfigs
%{_datadir}/tessdata/pdf.ttf
%{_mandir}/man1/tesseract.1*

%files training
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ambiguous_words
%attr(755,root,root) %{_bindir}/classifier_tester
%attr(755,root,root) %{_bindir}/cntraining
%attr(755,root,root) %{_bindir}/combine_lang_model
%attr(755,root,root) %{_bindir}/combine_tessdata
%attr(755,root,root) %{_bindir}/dawg2wordlist
%attr(755,root,root) %{_bindir}/lstmeval
%attr(755,root,root) %{_bindir}/lstmtraining
%attr(755,root,root) %{_bindir}/merge_unicharsets
%attr(755,root,root) %{_bindir}/mftraining
%attr(755,root,root) %{_bindir}/set_unicharset_properties
%attr(755,root,root) %{_bindir}/shapeclustering
%attr(755,root,root) %{_bindir}/text2image
%attr(755,root,root) %{_bindir}/unicharset_extractor
%attr(755,root,root) %{_bindir}/wordlist2dawg
%{_mandir}/man1/ambiguous_words.1*
%{_mandir}/man1/classifier_tester.1*
%{_mandir}/man1/cntraining.1*
%{_mandir}/man1/combine_lang_model.1*
%{_mandir}/man1/combine_tessdata.1*
%{_mandir}/man1/dawg2wordlist.1*
%{_mandir}/man1/lstmeval.1*
%{_mandir}/man1/lstmtraining.1*
%{_mandir}/man1/merge_unicharsets.1*
%{_mandir}/man1/mftraining.1*
%{_mandir}/man1/set_unicharset_properties.1*
%{_mandir}/man1/shapeclustering.1*
%{_mandir}/man1/text2image.1*
%{_mandir}/man1/unicharset_extractor.1*
%{_mandir}/man1/wordlist2dawg.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtesseract.so
%{_includedir}/%{name}
%{_pkgconfigdir}/tesseract.pc
%{_mandir}/man5/unicharambigs.5*
%{_mandir}/man5/unicharset.5*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtesseract.a
%changelog
* Thu Feb 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tesseract.git;a=log;h=master

* Thu Feb 29 2024 Jakub Bogusz <qboosh@pld-linux.org> ca4268b
- updated to 5.3.4

* Sun Oct 29 2023 Jan Palus <atler@pld-linux.org> 2f7552f
- BR: asciidoc libxslt-progs for man pages

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 372a4f0
- icu rebuild

* Mon Apr 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 9ac0cca
- package dir for script traineddata; release 2

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> c4f06fb
- updated to 5.3.1 (new soname)

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> 55f8d50
- icu rebuild

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> a044ee2
- icu rebuild

* Fri Mar 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 83bc763
- updated to 4.1.3

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 00194fc
- icu rebuild

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> 92d4a18
- icu rebuild

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 1a58b73
- icu 67 rebuild
- release 2 (by relup.sh)

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> af74fbf
- updated to 4.1.1

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 034c54b
- rebuild with icu 65.1
- release 2 (by relup.sh)

* Sat Jul 27 2019 Jakub Bogusz <qboosh@pld-linux.org> ce7214c
- updated to 4.1.0
- removed obsolete a2x patch

* Fri Apr 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 0b152fa
- updated dependencies

* Sat Apr 13 2019 Adam Gołębiowski <adamg@pld-linux.org> d736131
- release 2, rebuild against icu 64

* Tue Oct 30 2018 Adam Gołębiowski <adamg@pld-linux.org> 2d265a5
- updated to 4.0.0

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 70a20ce
- fix man pages generation
- rel 2

* Tue Aug 07 2018 Jan Rękorajski <baggins@pld-linux.org> 473c68c
- opencl patch is obsolete

* Tue Aug 07 2018 Jan Rękorajski <baggins@pld-linux.org> 595d84b
- up to 4.0.0-beta.4

